<body>
<div id="wrap">
  <div id="top">
    <h2> <a href="index.html"><strong>VCFtools</strong></a></h2>
    <div id="menu">
      <ul>
        <li><a href="index.html" class="current">Home</a></li>
        <li><a href="http://sourceforge.net/projects/vcftools/">Sourceforge page</a></li>	
        <li><a href="examples.html">Examples &amp; Documentation</a></li>
        <li><a href="downloads.html">Downloads</a></li>
      </ul>
    </div>
  </div>
  <div id="content">
    <div id="left">
      <h2>Welcome to VCFtools</h2>
      <p><b>VCFtools</b> is a program package designed for working with VCF files, such as those generated by the 1000 Genomes Project.
      The aim of VCFtools is to provide easily accessible methods for working with complex genetic variation data in the form of VCF files.</p>
      <p>This toolset can be used to perform the following operations on VCF files:
      <ul>
          <li>Filter out specific variants</li>
          <li>Compare files</li>
          <li>Summarize variants</li>
          <li>Convert to different file types</li>
          <li>Validate and merge files</li>
			 <li>Create intersections and subsets of variants</li>
      </ul>
      </p>
      <p>VCFtools consists of two parts, a <b>perl module</b> and a <b>binary executable</b>. The perl module is a general Perl API for manipulating VCF files, whereas the binary executable provides general analysis routines.
      </p>
		<h2>Documentation</h2>
      <p>A list of <b>usage examples</b> can be found <a href="examples.html">here</a>.</p>
      <p>The full Perl module documentation can be found <a href="perl_module.html">here</a>.</p>
		<p>The full <a href="man_latest.html">manual page</a> <b>documentation</b> for the latest stable release of the binary executable is also available.</p>
      <h2>Download</h2>
      <p>To obtain VCFtools, please visit the <a href="downloads.html">downloads</a> page.</p>
    </div>
    <div id="right">
      <div class="box">
      	<h2>Sourceforge</h2>
      		<p>The VCFtools project is hosted on <a href="http://sourceforge.net/projects/vcftools/">Sourceforge</a>.</p>
      	<h2>Variant call format specification</h2>
      		<p>VCFtools is compatible with VCF versions 4.0, 4.1 and 4.2.</p>
     			<p>For more information regarding the VCF format, please visit the <a href="specs.html">VCF specification page</a>.</p>
			<h2>Contact</h2>
			<p>For help regarding VCFtools or the VCF format, please see the <a href="http://sourceforge.net/p/vcftools/mailman/"> mailing lists</a>.</p>
			<h2>Citations and Licensing</h2>
			<p>Information about licensing and publications can be found <a href="license.html">here</a>.</p>
			<h2>Links</h2>
			<p>Other useful links can be found on <a href="links.html">this</a> page.</p>
      </div>
    </div>
    <div id="clear"></div>
  </div>
  <div id="footer">
    <p>Copyright 2014 &copy; VCFtools</p>
  </div>
</div>
</body>
</html>
